Page MenuHomePhabricator

Select the Wikimedia interns of FOSS OPW Round 9
Closed, ResolvedPublic

Description

We must select the Wikimedia interns for FOSS Outreach Program for Women - Round 9.

Current status

  • 15 applicants, from which 7 were declined for incomplete proposal and 8 are under review.
  • The table of candidates is missing links to wikitech-l announcements, microtasks, and two mentors per proposal.

Relevant deadlines

  • September 22: application system opens; all participants need to sign in as candidates or mentors at https://opw.gnome.org/ (documentation for mentors)
  • October 22: application deadline at 7pm UTC
  • November 12: accepted participants announced at 7pm UTC

26 October

  • @Qgil went through all the applications and contacted all candidates and mentors.
  • New template replies for Candidate declined with incomplete application + Candidate without a public proposal + Introductory email to all candidates
  • Update sent to wikitech-l.

12 November

Event Timeline

Qgil created this task.Oct 7 2014, 3:47 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil moved this task from Backlog to Doing on the Developer-Advocacy board.Oct 7 2014, 4:36 PM
Qgil moved this task from Doing to Backlog on the Developer-Advocacy board.
Qgil moved this task from Backlog to Ready to Go on the ECT-October-2014 board.Oct 8 2014, 10:39 PM
Qgil moved this task from Ready to Go to Backlog on the ECT-October-2014 board.
Qgil claimed this task.Oct 11 2014, 6:32 PM

CCing all mentors related with proposals with a chance to be selected (except Andrew Green, who I could not find here -- sending him an email to register). CCing also Rachel (official co-org-admin) and Andre (can't harm).

If you want to initially mentor a proposal, you must click the "Willing to mentor" button in the proposal page at https://opw.gnome.org/. The next step will be to assess whether your candidate is indeed up to the task, and whether we have any conflicts of mentors, projects, slots... This discussion will happen privately, of course.

I'm preparing a first summary of the situation. Let's use this task for questions and public communication in general.

Qgil updated the task description. (Show Details)Oct 26 2014, 7:52 PM
Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.
Omegat added a subscriber: Omegat.Oct 26 2014, 8:28 PM
Mvolz added a subscriber: Mvolz.Oct 26 2014, 9:03 PM

I was able to login to https://opw.gnome.org/ using my Google account, and look at the applications, but now I see:

Fatal error: Uncaught exception 'Exception' with message 'User profile request failed! Google returned an invalid response.' in /srv/http/opw.gnome.org/html/auth/Hybrid/Providers/Google.php:60 Stack trace: #0 /srv/http/opw.gnome.org/html/auth/Hybrid/Provider_Adapter.php(191): Hybrid_Providers_Google->getUserProfile() #1 /srv/http/opw.gnome.org/html/classes/class_user.php(441): Hybrid_Provider_Adapter->__call('getUserProfile', Array) #2 /srv/http/opw.gnome.org/html/classes/class_user.php(441): Hybrid_Provider_Adapter->getUserProfile() #3 /srv/http/opw.gnome.org/html/classes/class_user.php(270): user->finish_login('Google') #4 /srv/http/opw.gnome.org/html/modules/mod_login.php(57): user->login_google('') #5 /srv/http/opw.gnome.org/html/classes/class_module.php(50): include('/srv/http/opw.g...') #6 /srv/http/opw.gnome.org/html/index.php(21): module->load('login') #7 {main} thrown in /srv/http/opw.gnome.org/html/auth/Hybrid/Providers/Google.php on line 60

I am facing the same problem as jayvdb. I have to publish my proposal at https://www.mediawiki.org/wiki/FOSS_Outreach_Program_for_Women/Round_9#Candidates and wish to gain access to the proposal I submitted at https://opw.gnome.org/. However I get the fatal error message.

Mvolz added a comment.Oct 27 2014, 2:48 PM

I have logged into the applications successfully using my google acct as a mentor on opw.gnome.org- maybe this is something you should e-mail Marina Zhurakhinskaya about since this is on the Gnome website?

Omegat- if you are still unable to access your application send me an e-mail and I'll send it to you ^-^. (my email is in my profile)

droid added a subscriber: droid.Oct 27 2014, 4:56 PM
droid removed a subscriber: droid.Oct 27 2014, 5:35 PM
droid added a subscriber: droid.
Qgil added a comment.Oct 28 2014, 8:07 AM

I can also login without problems... As @Mvolz says, if you have technical problems, please check with Marina / the OPW program directly.

About the table at https://www.mediawiki.org/wiki/FOSS_Outreach_Program_for_Women/Round_9#Candidates, I took the liberty of editing the row corresponding to Neta just because it was the first one. Please follow the format for the Activity column, adding {{done}} instead of {{to do}} in the completed points., You can see how this will look like in the equivalent table at https://www.mediawiki.org/wiki/Google_Summer_of_Code_2014

Nemo_bis added a comment.EditedOct 30 2014, 9:49 AM

Current status
The table of candidates is missing people

Is this still correct? Please update comment 0.

Qgil updated the task description. (Show Details)Oct 30 2014, 9:54 AM
Nemo_bis added a comment.EditedOct 30 2014, 10:04 AM

Thanks for the update, Quim.

I was able to login to https://opw.gnome.org/ using my Google account, and look at the applications

I logged in and I applied to be a mentor, but I don't see anything else I can do. Where did you see the applications?

Qgil added a comment.Oct 30 2014, 10:44 AM

I can see them at https://opw.gnome.org/?q=manage_projects&prg=3, but I guess you need to be accepted as mentor first. Please wait a bit until Boston wakes up... :)

Qgil added a comment.Nov 3 2014, 6:25 PM

Helping all candidates to have two mentors. In every round we let an exception or two, and in every round (coincidentally or not) those projects struggle in a way or another.

Qgil raised the priority of this task from Normal to High.Nov 4 2014, 7:59 AM
Qgil added a comment.Nov 5 2014, 11:45 AM

The announcement of FOSS OPW interns by the GNOME Foundation is scheduled for November 12 at 19 UTC, basically a week from now.

I have just requested all mentors to send me their decisions by Friday, if possible. The program organizers need a bit of notice in advance to prepare the announcement. I also need it, because we are funding those internships, and I need to make sure we have enough budget for the interns we want to accept.

Qgil moved this task from Backlog to Doing on the ECT-November-2014 board.Nov 6 2014, 8:49 PM
Qgil closed this task as Resolved.Nov 12 2014, 11:37 PM
Qgil updated the task description. (Show Details)

Done. See the updated description for details. Welcome Outreach-Program-For-Women-9 participants!